<?php
error_reporting(E_WARNING);
require_once("funcoes.php");
require_once("valida.php");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Adicionar Categoria / Painel de Administra&ccedil;&atilde;o</title>
<?php require_once("topo.php"); ?>  
<link rel="stylesheet" href="css/query-ui.css" />
<script src="js/jquery-1.9.1.js"></script>
<script src="js/jquery-ui.js"></script>
<script type="text/javascript" src="../ckeditor/ckeditor.js"></script>
<script src="../ckeditor/_samples/sample.js" type="text/javascript"></script>
<script type="text/javascript">

	
	
	function limitaTextarea(valor) {
	quantidade = 155;
	total = valor.length;

	if(total <= quantidade) {
		resto = quantidade- total;
		document.getElementById('contador').innerHTML = resto;
	} else {
		document.getElementById('descricao_seo').value = valor.substr(0, quantidade);
	}
}

	function limitaTextarea2(valor) {
	quantidade = 199;
	total = valor.length;

	if(total <= quantidade) {
		resto = quantidade- total;
		document.getElementById('contador2').innerHTML = resto;
	} else {
		document.getElementById('keywords_seo').value = valor.substr(0, quantidade);
	}
}

function limitaInput(valor) {
	quantidade = 90;
	total = valor.length;

	if(total <= quantidade) {
		resto = quantidade- total;
		document.getElementById('contador3').innerHTML = resto;
	} else {
		document.getElementById('title').value = valor.substr(0, quantidade);
	}
}

</script>

<div id="conteudo">

	<div id="top_conteudo"> 
    <form action="gerenciar_categorias.php?pag=1" method="post" enctype="multipart/form-data">
    	<p style=""> Nova Categoria</p>
        <a href="#"><div id="criar_produto"><input type="submit" name="salvar_categoria" value="Salvar" style="color:#fff; cursor:pointer; font-size:12px; font-weight:bold; background-color:transparent; border:0" /></div></a>
        </div> 
                
        <div id="cadastros">
        
       <div id="tabs"> 
            <ul>
        		<li><a href="#geral"><span>Geral</span></a></li>
                <li><a href="#relacionados"><span>Produtos</span></a></li>
                <li><a href="#seo"><span>SEO</span></a></li>
        	</ul>
            <div id="geral">
            <table>
                
                <tr>
                    <td>Nome: </td>
                    <td><input type="text" name="nome" required="" /></td>
                </tr>
                
                <tr>
                    <td>Imagem: </td>
                    <td><input type="file" name="foto" /></td>
                </tr>
                
                 <tr>
                    <td>Descrição: </td>
                    <td><textarea id="descricao" name="descricao" id="editor" class="ckeditor"></textarea></td>
                    <td></td>
                </tr>

                <tr>
                    <td>
                    Categoria Pai
                    </td>
                    <td>
                        <select name="filiacao" required="">
        
                            <?php $select = "SELECT * FROM tb_categoria WHERE filiacao = 0 or filiacao = 99999";
                            $query  =   mysql_query($select);
                            while($sql = mysql_fetch_assoc($query)) {

                            $cod = $sql['cod'];
                            $nome = $sql['nome'];
                            ?>
                    
                            <option value="<?php echo $cod ?>"><?php echo $nome ?></option>
                    
                            <?php } ?>

                        </select>
                    </td>
                </tr>

                <tr>
                    <td>Ordem: </td>
                    <td><input type="text" name="ordem" required="" placeholder="Apenas números" pattern="[0-9]+$" value="0" title="Apenas números" /></td>
                </tr>

                <tr>
                    <td>Menu: </td>
                    <td><select name="menu">
                            <option value="1">Sim</option>
                            <option value="2">Não</option>
                        </select>
                    </td>
                 </tr>
                
                 <tr>
                    <td>Situação: </td>
                    <td><select name="status">
                            <option value="2">Desabilitado</option>
                            <option value="1">Habilitado</option>
                        </select>
                    </td>
                 </tr>
                
                </table>          
            
            </div> 
            
            <div id="seo">
            	
                <table>
                
                	<tr>
                    	<td>Title</td>
                        <td><input type="text" onkeyup="limitaInput(this.value)" id="title" name="title" /><span style="font-size:10px; color:#666;" >caracteres restantes:</span> <span id="contador3" style="font-size:10px; color:#666;">90</span></td>
                    </tr>
                
                    <tr>
                        <td>Meta Description: </td>
                        <td><textarea onkeyup="limitaTextarea(this.value)" id="descricao_seo" name="descricao_seo"></textarea><span style="font-size:10px; color:#666;" >caracteres restantes:</span> <span id="contador" style="font-size:10px; color:#666;">155</span></td>
                        <td></td>
                    </tr>
                                
                    <tr>
                    	<td>URL Amigável</td>
                        <td><input type="text" name="url_seo" /></td>
                    </tr>
                
                </table>
                
            </div>

            <div id="relacionados">
           <table>
            <tr>
            <th style="width:20px"><input class="checkcampo" type="checkbox" name="checkcampo" /></th>
            <th style="width:430px">Nome<br /><input type="text" class="camporel"></th>
            <th style="width:130px">SKU<br /><input type="text" class="camporel"></th>
            <th style="width:130px">Preço</th>
            <th style="width:130px">Ordem</th>
            <th style="width:130px">Status</th>
            </tr>   

             <?php

             $sql           =   "SELECT p.cod AS codproduto, p.sku, p.nome, p.status, p.preco
                FROM tb_produto p
                
                ORDER BY p.cod DESC";
                $ii = 0;
                $query          =   mysql_query($sql) or die();
                while($sql = mysql_fetch_assoc($query)){ $ii++; ?>
                <tr class="linha">
                    <td><input class="inputrel" type="checkbox" name="relacionados[]" <?php if($sql['cod_prod'] == $sql['codproduto']){ echo "checked='checked'"; } ?> value="<?php echo $sql['codproduto'];?>" style="float: left;" /></td>
                    <td style="text-align:left;"><?php echo $sql['nome'] ?> </td>
                    <td><?php echo $sql['sku'] ?> </td>
                    <td><?php echo $sql['preco'] ?> </td>
                    <td><input type="number" name="ordemProd[]" title="<?php echo $sql['codproduto'];?>" class="ordem" style="width: 50px" value="<?php echo $sql['ordem'] ?>" <?php if($sql['cod_prod'] <> $sql['codproduto']){ echo "disabled='disabled'"; } ?> /></td>
                    <td style="width:130px"><?php if($sql['status'] == 1){ echo "<img src='images/liberado.png' />"; } else { echo "<img src='images/bloqueado.png' />";  } ?> </td>
                </tr>
             
                <?php } ?>
                
             </table>
            
         </div>

        </div>

         
        
        <script>
        $( "#tabs" ).tabs();
        </script>
        </table>
  
    </div> 
    </div> 
    </div>
    </div>

    </form>

<?php require_once("footer.php"); ?>

 <script type="text/javascript">
        $(function(){
            $("#relacionados input[type='text'").keyup(function(){     
                var index = $(this).parent().index();
                var nth = "#relacionados td:nth-child("+(index+1).toString()+")";
                var valor = $(this).val().toUpperCase();
                $('.checkcampo').prop('checked', false);
                $("#relacionados tbody tr").show();
                $(nth).each(function(){
                    if($(this).text().toUpperCase().indexOf(valor) < 0){
                        $(this).parent().hide();
                    }
                });
            });

        
        });

        $('.checkcampo').click(function() {
            current = $(this);
            if (current.is(':checked')) {
                var index = $(this).parent().index();
                var nth = "#relacionados td:nth-child("+(index+1)+") input";
                var valor = $(this).val().toUpperCase();
                $('.camporel').val("");
                 $("#relacionados tbody tr").show();
                $(nth).each(function(){
                    if(!$(this).is(':checked')){
                        $(this).parent().parent().hide();
                    }
                });
            } else {
                $("#relacionados tbody tr").show();
            }
        });

        $('.inputrel').click(function() {
            current = $(this);
            valor = $(this).val();
            if (current.is(':checked')) {
             $('input[title="'+valor+'"]').prop('disabled', false);
             } else {
                $('input[title="'+valor+'"]').prop('disabled', true);
             }
        });


    </script>

    <script type="text/javascript" src="ckeditor/ckeditor.js"></script>
<script type="text/javascript" src="ckfinder/ckfinder.js"></script>


<script>
    CKEDITOR.replace( 'editor', {
    filebrowserBrowseUrl: 'ckfinder/ckfinder.html',
    filebrowserUploadUrl: 'ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
} );
</script>

</body>
</html>